diff --git a/templates/pages/developer/summerofcode.html b/templates/pages/developer/summerofcode.html
index 04a43557..de351ca0 100644
--- a/templates/pages/developer/summerofcode.html
+++ b/templates/pages/developer/summerofcode.html
@@ -5,23 +5,23 @@
 <h1>PostgreSQL and Google Summer of Code <i class="fa fa-code"></i></h1>
 
 <p>The PostgreSQL Project is participating in the Google <a
-href="https://summerofcode.withgoogle.com/" target="_blank" rel="noopener">Summer of Code 2018</a>
+href="https://summerofcode.withgoogle.com/programs/2023/organizations/postgresql" target="_blank" rel="noopener">Summer of Code 2023</a>
 program! This program funds students to contribute to an open source project over
 their summer break.</p>
 
 <ul>
-<li><a href="#2018mentors">2018 Mentors</a></li>
+<li><a href="#2023mentors">2023 Mentors</a></li>
 
-<li><a href="#2018projects">2018 Accepted Projects</a></li>
+<li><a href="#2023projects">2023 Accepted Projects</a></li>
 
 <li><a href="#past">Previously Accepted Projects</a></li>
 
 <li><a href="#faq">Frequently Asked Questions</a></li>
 </ul>
 
-<a id="2018mentors" name="2018mentors"></a>
+<a id="2023mentors" name="2023mentors"></a>
 
-<h2>2018 Mentors</h2>
+<h2>2023 Mentors</h2>
 
 <p>PostgreSQL follows an open community development model, so student projects
 are likely to be reviewed and commented on by any and all members of the
@@ -33,45 +33,47 @@ one of the Summer of Code liaisons below about writing a proposal.</p>
 <p>The GSoC Admins are:</p>
 <ul>
 	<li>Stephen Frost &lt;sfrost @ snowman.net&gt;</li>
-	<li>David Steele &lt;david.steele @ crunchydata.com&gt;</li>
+	<li>Ilaria Battiston &lt;ilaria.battiston @ gmail.com&gt;</li>
 </ul>
 
-<p>The mentors for GSoC 2018 are:</p>
+<p>The potential mentors for GSoC 2023 are:</p>
 
 <ul>
-	<li>Anastasia Lubennikova</li>
-	<li>Atri Sharma</li>
-	<li>Andrey Borodin</li>
+	<li>Jimmy Angelakos</li>
+	<li>Federico Campoli</li>
+	<li>Dave Cramer</li>
+	<li>Stephen Frost</li>
+	<li>Andreas Scherbaum</li>
+	<li>David E. Wheeler</li>
 	<li>Mark Wong</li>
-	<li>Aleksander Alekseev</li>
 </ul>
 
-<a id="2018projects" name="2018projects"></a>
+<a id="2023projects" name="2023projects"></a>
 
-<h2>2018 Accepted Projects</h2>
+<h2>2023 Potential Projects</h2>
 
-<p>The PostgreSQL project accepted the following proposals:</p>
-
-<ul>
-	<li>Performance Farm - Hongyuan Ma</li>
-	<li>Implement pg_thrift plugin - Yan (Charles) Cui</li>
-	<li>Sorting Algorithms Benchmark and Implementation - Kefan Yang</li>
-</ul>
+<p>Please look at the PostgreSQL GSoC <a>href="https://wiki.postgresql.org/wiki/GSoC_2023">2023</a> page</p>
 
 <a id="past" name="past"></a>
 <h2>Previously Accepted Projects</h2>
 <ul>
-	<li>Re-logging of unlogged tables</li>
-	<li>Index-Only scans for GiST</li>
-	<li>Fast GiST index build</li>
-	<li>New phpPgAdmin Plugin Architecture</li>
-	<li>pgAdmin database designer</li>
-	<li>Better indexing for ranges</li>
-	<li>Document Collection Foreign-data Wrapper</li>
+	<li>Improve pgarchives - Sahil Harpal</li>
+	<li>Pgexporter: Custom file - Donglin Xie</li>
+	<li>Develop Performance Farm Benchmarks and Website - Yedil Serzhan</li>
+	<li>Improve PostgreSQL Regression Test Coverage - DongWook Lee</li>
+	<li>New and improved website for pgjdbc (JDBC) - Utkarsh Shukla</li>
+	<li>pgmoneta: Storage API - Mariam Fahmy</li>
+	<li>pgmoneta: On-disk encryption - Jichen</li>
 </ul>
 
 <p>More information on past GSoC participation can be found on PostgreSQL GSoC pages:
-(<a href="https://wiki.postgresql.org/wiki/GSoC_2017">2017</a>
+(<a href="https://wiki.postgresql.org/wiki/GSoC">2023</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2022">2022</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2021">2021</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2020">2020</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2019">2019</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2018">2018</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2017">2017</a>
  | <a href="https://wiki.postgresql.org/wiki/GSoC_2016">2016</a>
  | <a href="https://wiki.postgresql.org/wiki/GSoC_2015">2015</a>
  | <a href="https://wiki.postgresql.org/wiki/GSoC_2014">2014</a>
@@ -90,10 +92,17 @@ one of the Summer of Code liaisons below about writing a proposal.</p>
 
 <ul>
 <li>
-<p><strong>What is the timeline for GSoC 2018?</strong></p>
+<p><strong>What is the timeline for GSoC 2023?</strong></p>
 
 <p>Please see the <a href="https://developers.google.com/open-source/gsoc/timeline">
-Google Summer of Code 2018 Timeline</a> for the complete GSoC 2018 timeline.</p>
+Google Summer of Code 2023 Timeline</a> for the complete GSoC 2023 timeline.</p>
+
+</li>
+<li>
+<p><strong>What are the communication channels and how to apply to GSoC 2023?</strong></p>
+
+<p>Please see the <a href="https://wiki.postgresql.org/wiki/GSoC">
+PostgreSQL Wiki page</a> for these information.</p>
 
 </li>
 
diff --git a/templates/pages/developer/summerofcode2017.html b/templates/pages/developer/summerofcode2017.html
new file mode 100644
index 00000000..0b595a12
--- /dev/null
+++ b/templates/pages/developer/summerofcode2017.html
@@ -0,0 +1,101 @@
+{%extends "base/page.html"%}
+{%block title%}Google Summer of Code Program{%endblock%}
+{%block contents%}
+
+<h1>PostgreSQL and Google Summer of Code <i class="fa fa-code"></i></h1>
+
+<p>The PostgreSQL Project is participating in the Google <a
+href="https://summerofcode.withgoogle.com/archive/2017/organizations/5443503559540736" target="_blank" rel="noopener">Summer of Code 2017</a>
+program! This program funds students to contribute to an open source project over
+their summer break.</p>
+
+<ul>
+<li><a href="#2017mentors">2017 Mentors</a></li>
+
+<li><a href="#2017projects">2017 Accepted Projects</a></li>
+
+<li><a href="#past">Previously Accepted Projects</a></li>
+
+<li><a href="#faq">Frequently Asked Questions</a></li>
+</ul>
+
+<a id="2017mentors" name="2017mentors"></a>
+
+<h2>2017 Mentors</h2>
+
+<p>PostgreSQL follows an open community development model, so student projects
+are likely to be reviewed and commented on by any and all members of the
+PostgreSQL community. This also means that we may be able to find mentors for
+additional projects by reaching out to this community. If you are interested in
+working on a project not explicitly mentioned above, you may want to contact
+one of the Summer of Code liaisons below about writing a proposal.</p>
+
+<p>The GSoC Admins are:</p>
+<ul>
+	<li>Stephen Frost</li>
+	<li>David Steele</li>
+</ul>
+
+<p>The mentors for GSoC 2017 are:</p>
+
+<ul>
+	<li>Andrey Borodin</li>
+	<li>Stephen Frost</li>
+	<li>Kevin Grittner</li>
+	<li>&#193;lvaro Herrera</li>
+	<li>Alexander Korotkov</li>
+	<li>Anastasia Lubennikova</li>
+</ul>
+
+<a id="2017projects" name="2017projects"></a>
+
+<h2>2017 Accepted Projects</h2>
+
+<p>The PostgreSQL project accepted the following proposals:</p>
+
+<ul>
+	<li>Foreign Keys for Array Elements - Mark Rofail</li>
+	<li>Eliminate O(N^2) scaling from rw-conflict tracking in serializable transactions - Mengxing Liu</li>
+	<li>Add errors handling and parallel execution to COPY - Alexey Kondratov</li>
+	<li>Explicitly support predicate locks in index AMs besides btree - Shubham Barai</li>
+</ul>
+
+<a id="past" name="past"></a>
+<h2>Previously Accepted Projects</h2>
+<ul>
+	<li>Re-logging of unlogged tables</li>
+	<li>Index-Only scans for GiST</li>
+	<li>Fast GiST index build</li>
+	<li>New phpPgAdmin Plugin Architecture</li>
+	<li>pgAdmin database designer</li>
+	<li>Better indexing for ranges</li>
+	<li>Document Collection Foreign-data Wrapper</li>
+</ul>
+
+<p>More information on past GSoC participation can be found on PostgreSQL GSoC Wiki pages:
+(<a href="https://wiki.postgresql.org/wiki/GSoC_2016">2016</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2015">2015</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2014">2014</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2013">2013</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2012">2012</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2011">2011</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2010">2010</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2009">2009</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2008">2008</a>)</p>
+
+
+<a id="faq" name="faq"></a>
+
+<h2>Frequently Asked Questions</h2>
+
+<ul>
+<li>
+<p><strong>What is the timeline for the current GSoC?</strong></p>
+
+<p>Please see the <a href="https://developers.google.com/open-source/gsoc/timeline">
+Google Summer of Code Timeline</a> for the current complete GSoC timeline.</p>
+
+</li>
+
+</ul>
+{%endblock%}
diff --git a/templates/pages/developer/summerofcode2018.html b/templates/pages/developer/summerofcode2018.html
new file mode 100644
index 00000000..c6651348
--- /dev/null
+++ b/templates/pages/developer/summerofcode2018.html
@@ -0,0 +1,98 @@
+{%extends "base/page.html"%}
+{%block title%}Google Summer of Code Program{%endblock%}
+{%block contents%}
+
+<h1>PostgreSQL and Google Summer of Code <i class="fa fa-code"></i></h1>
+
+<p>The PostgreSQL Project is participating in the Google <a
+href="https://summerofcode.withgoogle.com/archive/2018/organizations/5341499428438016" target="_blank" rel="noopener">Summer of Code 2018</a>
+program! This program funds students to contribute to an open source project over
+their summer break.</p>
+
+<ul>
+<li><a href="#2018mentors">2018 Mentors</a></li>
+
+<li><a href="#2018projects">2018 Accepted Projects</a></li>
+
+<li><a href="#past">Previously Accepted Projects</a></li>
+
+<li><a href="#faq">Frequently Asked Questions</a></li>
+</ul>
+
+<a id="2018mentors" name="2018mentors"></a>
+
+<h2>2018 Mentors</h2>
+
+<p>PostgreSQL follows an open community development model, so student projects
+are likely to be reviewed and commented on by any and all members of the
+PostgreSQL community. This also means that we may be able to find mentors for
+additional projects by reaching out to this community. If you are interested in
+working on a project not explicitly mentioned above, you may want to contact
+one of the Summer of Code liaisons below about writing a proposal.</p>
+
+<p>The GSoC Admins are:</p>
+<ul>
+	<li>Stephen Frost</li>
+	<li>David Steele</li>
+</ul>
+
+<p>The mentors for GSoC 2018 are:</p>
+
+<ul>
+	<li>Aleksander Alekseev</li>
+	<li>Andrey Borodin</li>
+	<li>Stephen Frost</li>
+	<li>Anastasia Lubennikova</li>
+	<li>Atri Sharma</li>
+	<li>Mark Wong</li>
+</ul>
+
+<a id="2018projects" name="2018projects"></a>
+
+<h2>2018 Accepted Projects</h2>
+
+<p>The PostgreSQL project accepted the following proposals:</p>
+
+<ul>
+	<li>Performance Farm - Hongyuan Ma</li>
+	<li>Implement pg_thrift plugin - Yan (Charles) Cui</li>
+	<li>Sorting Algorithms Benchmark and Implementation - Kefan Yang</li>
+</ul>
+
+<a id="past" name="past"></a>
+<h2>Previously Accepted Projects</h2>
+<ul>
+	<li>Foreign Keys for Array Elements - Mark Rofail</li>
+	<li>Eliminate O(N^2) scaling from rw-conflict tracking in serializable transactions - Mengxing Liu</li>
+	<li>Add errors handling and parallel execution to COPY - Alexey Kondratov</li>
+	<li>Explicitly support predicate locks in index AMs besides btree - Shubham Barai</li>
+</ul>
+
+<p>More information on past GSoC participation can be found on PostgreSQL GSoC Wiki pages:
+(<a href="https://wiki.postgresql.org/wiki/GSoC_2017">2017</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2016">2016</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2015">2015</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2014">2014</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2013">2013</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2012">2012</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2011">2011</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2010">2010</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2009">2009</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2008">2008</a>)</p>
+
+
+<a id="faq" name="faq"></a>
+
+<h2>Frequently Asked Questions</h2>
+
+<ul>
+<li>
+<p><strong>What is the timeline for the current GSoC?</strong></p>
+
+<p>Please see the <a href="https://developers.google.com/open-source/gsoc/timeline">
+Google Summer of Code Timeline</a> for the current complete GSoC timeline.</p>
+
+</li>
+
+</ul>
+{%endblock%}
diff --git a/templates/pages/developer/summerofcode2019.html b/templates/pages/developer/summerofcode2019.html
new file mode 100644
index 00000000..56ab862d
--- /dev/null
+++ b/templates/pages/developer/summerofcode2019.html
@@ -0,0 +1,105 @@
+{%extends "base/page.html"%}
+{%block title%}Google Summer of Code Program{%endblock%}
+{%block contents%}
+
+<h1>PostgreSQL and Google Summer of Code <i class="fa fa-code"></i></h1>
+
+<p>The PostgreSQL Project is participating in the Google <a
+href="https://summerofcode.withgoogle.com/archive/2019/organizations/5190353336926208" target="_blank" rel="noopener">Summer of Code 2019</a>
+program! This program funds students to contribute to an open source project over
+their summer break.</p>
+
+<ul>
+<li><a href="#2019mentors">2019 Mentors</a></li>
+
+<li><a href="#2019projects">2019 Accepted Projects</a></li>
+
+<li><a href="#past">Previously Accepted Projects</a></li>
+
+<li><a href="#faq">Frequently Asked Questions</a></li>
+</ul>
+
+<a id="2019mentors" name="2019mentors"></a>
+
+<h2>2019 Mentors</h2>
+
+<p>PostgreSQL follows an open community development model, so student projects
+are likely to be reviewed and commented on by any and all members of the
+PostgreSQL community. This also means that we may be able to find mentors for
+additional projects by reaching out to this community. If you are interested in
+working on a project not explicitly mentioned above, you may want to contact
+one of the Summer of Code liaisons below about writing a proposal.</p>
+
+<p>The GSoC Admins are:</p>
+<ul>
+	<li>Stephen Frost</li>
+	<li>David Steele</li>
+</ul>
+
+<p>The mentors for GSoC 2019 are:</p>
+
+<ul>
+	<li>Andrey Borodin</li>
+	<li>Stephen Frost</li>
+	<li>Vladimir Leskov</li>
+	<li>Dave Page</li>
+	<li>Andreas Scherbaum</li>
+	<li>Atri Sharma</li>
+	<li>Mark Wong</li>
+</ul>
+
+<a id="2019projects" name="2019projects"></a>
+
+<h2>2019 Accepted Projects</h2>
+
+<p>The PostgreSQL project accepted the following proposals:</p>
+
+<ul>
+	<li>Develop Performance Farm Database and Website - Ilaria Battiston</li>
+	<li>de-TOAST'ing using an iterator - Binguo Bao</li>
+	<li>pgAdmin 4 Query Tool Automatic Mode Detection and Enhancements - Yosry Ahmed</li>
+	<li>ARTful Buffer Manager - mvpant</li>
+</ul>
+
+<a id="past" name="past"></a>
+<h2>Previously Accepted Projects</h2>
+<ul>
+	<li>Foreign Keys for Array Elements - Mark Rofail</li>
+	<li>Eliminate O(N^2) scaling from rw-conflict tracking in serializable transactions - Mengxing Liu</li>
+	<li>Add errors handling and parallel execution to COPY - Alexey Kondratov</li>
+	<li>Explicitly support predicate locks in index AMs besides btree - Shubham Barai</li>
+	<li>Foreign Keys for Array Elements - Mark Rofail</li>
+	<li>Eliminate O(N^2) scaling from rw-conflict tracking in serializable transactions - Mengxing Liu</li>
+	<li>Add errors handling and parallel execution to COPY - Alexey Kondratov</li>
+	<li>Explicitly support predicate locks in index AMs besides btree - Shubham Barai</li>
+</ul>
+
+<p>More information on past GSoC participation can be found on PostgreSQL GSoC Wiki pages:
+(<a href="https://wiki.postgresql.org/wiki/GSoC_2018">2018</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2017">2017</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2016">2016</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2015">2015</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2014">2014</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2013">2013</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2012">2012</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2011">2011</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2010">2010</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2009">2009</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2008">2008</a>)</p>
+
+
+<a id="faq" name="faq"></a>
+
+<h2>Frequently Asked Questions</h2>
+
+<ul>
+<li>
+<p><strong>What is the timeline for the current GSoC?</strong></p>
+
+<p>Please see the <a href="https://developers.google.com/open-source/gsoc/timeline">
+Google Summer of Code Timeline</a> for the current complete GSoC timeline.</p>
+
+</li>
+
+</ul>
+{%endblock%}
diff --git a/templates/pages/developer/summerofcode2020.html b/templates/pages/developer/summerofcode2020.html
new file mode 100644
index 00000000..3421832f
--- /dev/null
+++ b/templates/pages/developer/summerofcode2020.html
@@ -0,0 +1,103 @@
+{%extends "base/page.html"%}
+{%block title%}Google Summer of Code Program{%endblock%}
+{%block contents%}
+
+<h1>PostgreSQL and Google Summer of Code <i class="fa fa-code"></i></h1>
+
+<p>The PostgreSQL Project is participating in the Google <a
+href="https://summerofcode.withgoogle.com/archive/2020/organizations/6566134096068608" target="_blank" rel="noopener">Summer of Code 2020</a>
+program! This program funds students to contribute to an open source project over
+their summer break.</p>
+
+<ul>
+<li><a href="#2020mentors">2020 Mentors</a></li>
+
+<li><a href="#2020projects">2020 Accepted Projects</a></li>
+
+<li><a href="#past">Previously Accepted Projects</a></li>
+
+<li><a href="#faq">Frequently Asked Questions</a></li>
+</ul>
+
+<a id="2020mentors" name="2020mentors"></a>
+
+<h2>2020 Mentors</h2>
+
+<p>PostgreSQL follows an open community development model, so student projects
+are likely to be reviewed and commented on by any and all members of the
+PostgreSQL community. This also means that we may be able to find mentors for
+additional projects by reaching out to this community. If you are interested in
+working on a project not explicitly mentioned above, you may want to contact
+one of the Summer of Code liaisons below about writing a proposal.</p>
+
+<p>The GSoC Admins are:</p>
+<ul>
+	<li>Stephen Frost</li>
+	<li>David Steele</li>
+</ul>
+
+<p>The mentors for GSoC 2020 are:</p>
+
+<ul>
+	<li>Andrey Borodin</li>
+	<li>Chapman Flack</li>
+	<li>Stephen Frost</li>
+	<li>Georgy Rylov</li>
+	<li>Andreas Scherbaum</li>
+</ul>
+
+<a id="2020projects" name="2020projects"></a>
+
+<h2>2020 Accepted Projects</h2>
+
+<p>The PostgreSQL project accepted the following proposals:</p>
+
+<ul>
+	<li>Develop Performance Farm Database and Website - Ilaria Battiston</li>
+	<li>WAL-G performance improvements - Daniil Zakhlystov</li>
+	<li>Improving PL/Java build system - mrrobot</li>
+</ul>
+
+<a id="past" name="past"></a>
+<h2>Previously Accepted Projects</h2>
+<ul>
+	<li>Performance Farm - Hongyuan Ma</li>
+	<li>Implement pg_thrift plugin - Yan (Charles) Cui</li>
+	<li>Sorting Algorithms Benchmark and Implementation - Kefan Yang</li>
+	<li>Develop Performance Farm Database and Website - Ilaria Battiston</li>
+	<li>de-TOAST'ing using an iterator - Binguo Bao</li>
+	<li>pgAdmin 4 Query Tool Automatic Mode Detection and Enhancements - Yosry Ahmed</li>
+	<li>ARTful Buffer Manager - mvpant</li>
+</ul>
+
+<p>More information on past GSoC participation can be found on PostgreSQL GSoC Wiki pages:
+(<a href="https://wiki.postgresql.org/wiki/GSoC_2017">2020</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2019">2019</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2018">2018</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2017">2017</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2016">2016</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2015">2015</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2014">2014</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2013">2013</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2012">2012</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2011">2011</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2010">2010</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2009">2009</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2008">2008</a>)</p>
+
+
+<a id="faq" name="faq"></a>
+
+<h2>Frequently Asked Questions</h2>
+
+<ul>
+<li>
+<p><strong>What is the timeline for the current GSoC?</strong></p>
+
+<p>Please see the <a href="https://developers.google.com/open-source/gsoc/timeline">
+Google Summer of Code Timeline</a> for the current complete GSoC timeline.</p>
+
+</li>
+
+</ul>
+{%endblock%}
diff --git a/templates/pages/developer/summerofcode2021.html b/templates/pages/developer/summerofcode2021.html
new file mode 100644
index 00000000..759caf89
--- /dev/null
+++ b/templates/pages/developer/summerofcode2021.html
@@ -0,0 +1,114 @@
+{%extends "base/page.html"%}
+{%block title%}Google Summer of Code Program{%endblock%}
+{%block contents%}
+
+<h1>PostgreSQL and Google Summer of Code <i class="fa fa-code"></i></h1>
+
+<p>The PostgreSQL Project is participating in the Google <a
+href="https://summerofcode.withgoogle.com/archive/2021/organizations/6316019928268800" target="_blank" rel="noopener">Summer of Code 2021</a>
+program! This program funds students to contribute to an open source project over
+their summer break.</p>
+
+<ul>
+<li><a href="#2021mentors">2021 Mentors</a></li>
+
+<li><a href="#2021projects">2021 Accepted Projects</a></li>
+
+<li><a href="#past">Previously Accepted Projects</a></li>
+
+<li><a href="#faq">Frequently Asked Questions</a></li>
+</ul>
+
+<a id="2021mentors" name="2021mentors"></a>
+
+<h2>2021 Mentors</h2>
+
+<p>PostgreSQL follows an open community development model, so student projects
+are likely to be reviewed and commented on by any and all members of the
+PostgreSQL community. This also means that we may be able to find mentors for
+additional projects by reaching out to this community. If you are interested in
+working on a project not explicitly mentioned above, you may want to contact
+one of the Summer of Code liaisons below about writing a proposal.</p>
+
+<p>The GSoC Admins are:</p>
+<ul>
+	<li>Ilaria Battiston</li>
+	<li>Stephen Frost</li>
+	<li>David Steele</li>
+</ul>
+
+<p>The mentors for GSoC 2021 are:</p>
+
+<ul>
+	<li>L&#230;titia Avrot</li>
+	<li>Ilaria Battiston</li>
+	<li>Andrey Borodin</li>
+	<li>Gabrielle Roth</li>
+	<li>Stephen Frost</li>
+	<li>Fabrízio Mello</li>
+	<li>Jesper Pedersen</li>
+	<li>Andreas Scherbaum</li>
+	<li>Mark Wong</li>
+	<li>Daniil Zakhlystov</li>
+</ul>
+
+<a id="2021projects" name="2021projects"></a>
+
+<h2>2021 Accepted Projects</h2>
+
+<p>The PostgreSQL project accepted the following proposals:</p>
+
+<ul>
+	<li>Develop Performance Farm Database and Website - Ilaria Battiston</li>
+	<li>de-TOAST'ing using an iterator - Binguo Bao</li>
+	<li>pgAdmin 4 Query Tool Automatic Mode Detection and Enhancements - Yosry Ahmed</li>
+	<li>ARTful Buffer Manager - mvpant</li>
+	<li>Performance Farm - Hongyuan Ma</li>
+	<li>Implement pg_thrift plugin - Yan (Charles) Cui</li>
+	<li>Sorting Algorithms Benchmark and Implementation - Kefan Yang</li>
+</ul>
+
+<a id="past" name="past"></a>
+<h2>Previously Accepted Projects</h2>
+<ul>
+	<li>Re-logging of unlogged tables</li>
+	<li>Index-Only scans for GiST</li>
+	<li>Fast GiST index build</li>
+	<li>New phpPgAdmin Plugin Architecture</li>
+	<li>pgAdmin database designer</li>
+	<li>Better indexing for ranges</li>
+	<li>Document Collection Foreign-data Wrapper</li>
+</ul>
+
+<p>More information on past GSoC participation can be found on PostgreSQL GSoC Wiki pages:
+(<a href="https://wiki.postgresql.org/wiki/GSoC_2021">2021</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2020">2020</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2019">2019</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2018">2018</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2017">2017</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2016">2016</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2015">2015</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2014">2014</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2013">2013</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2012">2012</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2011">2011</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2010">2010</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2009">2009</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2008">2008</a>)</p>
+
+
+<a id="faq" name="faq"></a>
+
+<h2>Frequently Asked Questions</h2>
+
+<ul>
+<li>
+<p><strong>What is the timeline for the current GSoC?</strong></p>
+
+<p>Please see the <a href="https://developers.google.com/open-source/gsoc/timeline">
+Google Summer of Code Timeline</a> for the current complete GSoC timeline.</p>
+
+</li>
+
+</ul>
+{%endblock%}
diff --git a/templates/pages/developer/summerofcode2022.html b/templates/pages/developer/summerofcode2022.html
new file mode 100644
index 00000000..85ba72ed
--- /dev/null
+++ b/templates/pages/developer/summerofcode2022.html
@@ -0,0 +1,110 @@
+{%extends "base/page.html"%}
+{%block title%}Google Summer of Code Program{%endblock%}
+{%block contents%}
+
+<h1>PostgreSQL and Google Summer of Code <i class="fa fa-code"></i></h1>
+
+<p>The PostgreSQL Project is participating in the Google <a
+href="https://summerofcode.withgoogle.com/archive/2022/organizations/postgresql" target="_blank" rel="noopener">Summer of Code 2022</a>
+program! This program funds students to contribute to an open source project over
+their summer break.</p>
+
+<ul>
+<li><a href="#2022mentors">2022 Mentors</a></li>
+
+<li><a href="#2022projects">2022 Accepted Projects</a></li>
+
+<li><a href="#past">Previously Accepted Projects</a></li>
+
+<li><a href="#faq">Frequently Asked Questions</a></li>
+</ul>
+
+<a id="2022mentors" name="2022mentors"></a>
+
+<h2>2022 Mentors</h2>
+
+<p>PostgreSQL follows an open community development model, so student projects
+are likely to be reviewed and commented on by any and all members of the
+PostgreSQL community. This also means that we may be able to find mentors for
+additional projects by reaching out to this community. If you are interested in
+working on a project not explicitly mentioned above, you may want to contact
+one of the Summer of Code liaisons below about writing a proposal.</p>
+
+<p>The GSoC Admins are:</p>
+<ul>
+	<li>Ilaria Battiston</li>
+	<li>Stephen Frost</li>
+</ul>
+
+<p>The mentors for GSoC 2022 are:</p>
+
+<ul>
+	<li>Ilaria Battiston</li>
+	<li>Nikita Bugrovsky</li>
+	<li>Dustin Kut Moy Cheung</li>
+	<li>Dave Cramer</li>
+	<li>Stephen Frost</li>
+	<li>Athila Mattos</li>
+	<li>Jesper Pedersen</li>
+	<li>Andreas Scherbaum</li>
+	<li>Reid Thompson</li>
+	<li>Andrea Vibelli</li>
+</ul>
+
+<a id="2022projects" name="2022projects"></a>
+
+<h2>2022 Accepted Projects</h2>
+
+<p>The PostgreSQL project accepted the following proposals:</p>
+
+<ul>
+	<li>Improve pgarchives - Sahil Harpal</li>
+	<li>Pgexporter: Custom file - Donglin Xie</li>
+	<li>Develop Performance Farm Benchmarks and Website - Yedil Serzhan</li>
+	<li>Improve PostgreSQL Regression Test Coverage - DongWook Lee</li>
+	<li>New and improved website for pgjdbc (JDBC) - Utkarsh Shukla</li>
+	<li>pgmoneta: Storage API - Mariam Fahmy</li>
+	<li>pgmoneta: On-disk encryption - Jichen</li>
+</ul>
+
+<a id="past" name="past"></a>
+<h2>Previously Accepted Projects</h2>
+<ul>
+	<li>Develop Performance Farm Database and Website - Ilaria Battiston</li>
+	<li>WAL-G performance improvements - Daniil Zakhlystov</li>
+	<li>Improving PL/Java build system - mrrobot</li>
+</ul>
+
+<p>More information on past GSoC participation can be found on PostgreSQL GSoC Wiki pages:
+(<a href="https://wiki.postgresql.org/wiki/GSoC_2022">2022</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2021">2021</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2020">2020</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2019">2019</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2018">2018</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2017">2017</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2016">2016</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2015">2015</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2014">2014</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2013">2013</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2012">2012</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2011">2011</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2010">2010</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2009">2009</a>
+ | <a href="https://wiki.postgresql.org/wiki/GSoC_2008">2008</a>)</p>
+
+
+<a id="faq" name="faq"></a>
+
+<h2>Frequently Asked Questions</h2>
+
+<ul>
+<li>
+<p><strong>What is the timeline for the current GSoC?</strong></p>
+
+<p>Please see the <a href="https://developers.google.com/open-source/gsoc/timeline">
+Google Summer of Code Timeline</a> for the current complete GSoC timeline.</p>
+
+</li>
+
+</ul>
+{%endblock%}
